<%@ page import="com.s3ai.entities.Cinema" %>
<%@ page import="java.util.UUID" %><%--
  Created by IntelliJ IDEA.
  User: s3rius
  Date: 08.12.2019
  Time: 22:04
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Edit cinema</title>
    <%@include file='../templates/imports.jsp' %>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/css/cinemas.css">
    <script src="${pageContext.request.contextPath}/static/js/cinemas.js"></script>
</head>
<body class="themed-gradient">
<%
    Cinema cinema = (Cinema) request.getSession().getAttribute("cinema");
    String id = cinema.getId() == null ? "" : cinema.getId().toString();
    String name = cinema.getName() == null ? "" : cinema.getName();
    Integer seatsCount = cinema.getSeatsCount() == null ? 0 : cinema.getSeatsCount();
    String location = cinema.getLocation() == null ? "" : cinema.getLocation();
    String action = id == null ? "Create" : "Update";

%>

<!-- Navigation -->
<%@include file='../templates/header.jsp' %>
<div class="editing">
    <div class="container justify-content-center">

        <form id="cinemaForm" class="d-flex justify-content-center" method="post" action="${pageContext.request.contextPath}/cinema">
            <fieldset>

                <legend>
                    <div class="text-center"><h2><b class="white"><%out.print(action);%> cinema</b></h2></div>
                </legend>
                <br>
                <input type="hidden" name="id" value="<%out.print(id);%>">

                <div class="form-group">
                    <div class="inputGroupContainer">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-align-left"></i></div>
                            </div>
                            <input type="text"
                                   class="form-control validate"
                                   id="cinemaName"
                                   name="name"
                                   placeholder="Cinema's name" value="<%out.println(name);%>" required>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="inputGroupContainer">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-chair"></i></div>
                            </div>
                            <input type="number"
                                   class="form-control validate"
                                   id="cinemaSeats"
                                   name="seatsCount"
                                   placeholder="Cinema's seats count"
                                   value="<%out.print(seatsCount);%>" required>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="inputGroupContainer">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-globe-americas"></i></div>
                            </div>
                            <input type="text"
                                   class="form-control validate"
                                   id="cinemaLocation"
                                   name="location"
                                   placeholder="Cinema's location"
                                   value="<%out.println(location);%>" required>
                        </div>
                    </div>
                </div>
                <div class="justify-content-center">
                    <button type="submit" class="btn btn-primary w-100"><i class="fas fa-check"></i>Submit</button>
                </div>
            </fieldset>
        </form>
    </div>
</div>
</body>
</html>
